Package org.eclipse.m2m.atl.emftvm.impl

# Class IfteImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.m2m.atl.emftvm.impl.InstructionImpl
org.eclipse.m2m.atl.emftvm.impl.IfteImpl

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`, `Ifte`, `Instruction`

public class IfteImpl extends InstructionImpl implements Ifte
An implementation of the model object 'Ifte'.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final int`
`ELSE_CB_INDEX_EDEFAULT`
The default value of the '`Else Cb Index`' attribute.
`protected CodeBlock`
`elseCb`
The cached value of the '`Else Cb`' reference.
`protected int`
`elseCbIndex`
The cached value of the '`Else Cb Index`' attribute.
`protected static final int`
`THEN_CB_INDEX_EDEFAULT`
The default value of the '`Then Cb Index`' attribute.
`protected CodeBlock`
`thenCb`
The cached value of the '`Then Cb`' reference.
`protected int`
`thenCbIndex`
The cached value of the '`Then Cb Index`' attribute.

### Fields inherited from class org.eclipse.m2m.atl.emftvm.impl.InstructionImpl

`lineNumber, opcode, OPCODE_EDEFAULT, STACK_CONSUMPTION_EDEFAULT, STACK_LEVEL_EDEFAULT, STACK_PRODUCTION_EDEFAULT, stackConsumption, stackLevel, stackLevelSet, stackProduction`

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`IfteImpl()`
Creates a new `IfteImpl`.

## Method Summary

Modifier and Type
Method
Description
`CodeBlock`
`basicGetElseCb()`
`CodeBlock`
`basicGetThenCb()`
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`protected org.eclipse.emf.ecore.EClass`
`eStaticClass()`
Returns the `EClass` that correspond to this metaclass.
`void`
`eUnset(int featureID)`
`CodeBlock`
`getElseCb()`
Returns the value of the 'Else Cb' reference.
`int`
`getElseCbIndex()`
Returns the value of the 'Else Cb Index' attribute.
`int`
`getStackProduction()`
Returns the value of the 'Stack Production' attribute.
`CodeBlock`
`getThenCb()`
Returns the value of the 'Then Cb' reference.
`int`
`getThenCbIndex()`
Returns the value of the 'Then Cb Index' attribute.
`void`
`setElseCb(CodeBlock newElseCb)`
Sets the value of the '`Else Cb`' reference.
`void`
`setElseCbIndex(int newElseCbIndex)`
Sets the value of the '`Else Cb Index`' attribute.
`void`
`setThenCb(CodeBlock newThenCb)`
Sets the value of the '`Then Cb`' reference.
`void`
`setThenCbIndex(int newThenCbIndex)`
Sets the value of the '`Then Cb Index`' attribute.
`String`
`toString()`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.impl.InstructionImpl

`basicGetLineNumber, basicSetLineNumber, basicSetOwningBlock, eBasicRemoveFromContainerFeature, eInverseAdd, eInverseRemove, eNotify, getLineNumber, getOpcode, getOwningBlock, getStackConsumption, getStackLevel, setLineNumber, setOwningBlock`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.Instruction

`getLineNumber, getOpcode, getOwningBlock, getStackConsumption, getStackLevel, setLineNumber, setOwningBlock`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### THEN_CB_INDEX_EDEFAULT

protected static final int THEN_CB_INDEX_EDEFAULT
The default value of the '`Then Cb Index`' attribute.

See Also:
  - `getThenCbIndex()`
  - Constant Field Values

### ELSE_CB_INDEX_EDEFAULT

protected static final int ELSE_CB_INDEX_EDEFAULT
The default value of the '`Else Cb Index`' attribute.

See Also:
  - `getElseCbIndex()`
  - Constant Field Values

### thenCbIndex

protected int thenCbIndex
The cached value of the '`Then Cb Index`' attribute.

See Also:
  - `getThenCbIndex()`

### elseCbIndex

protected int elseCbIndex
The cached value of the '`Else Cb Index`' attribute.

See Also:
  - `getElseCbIndex()`

### thenCb

protected CodeBlock thenCb
The cached value of the '`Then Cb`' reference.

See Also:
  - `getThenCb()`

### elseCb

protected CodeBlock elseCb
The cached value of the '`Else Cb`' reference.

See Also:
  - `getElseCb()`

## Constructor Details

### IfteImpl

protected IfteImpl()
Creates a new `IfteImpl`.

## Method Details

### eStaticClass

protected org.eclipse.emf.ecore.EClass eStaticClass()
Returns the `EClass` that correspond to this metaclass.

Overrides:
  `eStaticClass` in class `InstructionImpl`
Returns:
  the `EClass` that correspond to this metaclass.

### getThenCbIndex

public int getThenCbIndex()
Returns the value of the 'Then Cb Index' attribute. The default value is `"-1"`.

If the meaning of the 'Then Cb Index' attribute isn't clear, there really should be more of a description here...

Specified by:
  `getThenCbIndex` in interface `Ifte`
Returns:
  the value of the 'Then Cb Index' attribute.
See Also:
  - `Ifte.setThenCbIndex(int)`
  - `EmftvmPackage.getIfte_ThenCbIndex()`

### setThenCbIndex

public void setThenCbIndex(int newThenCbIndex)
Sets the value of the '`Then Cb Index`' attribute.

Specified by:
  `setThenCbIndex` in interface `Ifte`
Parameters:
  `newThenCbIndex` - the new value of the 'Then Cb Index' attribute.
See Also:
  - `Ifte.getThenCbIndex()`

### getElseCbIndex

public int getElseCbIndex()
Returns the value of the 'Else Cb Index' attribute. The default value is `"-1"`.

If the meaning of the 'Else Cb Index' attribute isn't clear, there really should be more of a description here...

Specified by:
  `getElseCbIndex` in interface `Ifte`
Returns:
  the value of the 'Else Cb Index' attribute.
See Also:
  - `Ifte.setElseCbIndex(int)`
  - `EmftvmPackage.getIfte_ElseCbIndex()`

### setElseCbIndex

public void setElseCbIndex(int newElseCbIndex)
Sets the value of the '`Else Cb Index`' attribute.

Specified by:
  `setElseCbIndex` in interface `Ifte`
Parameters:
  `newElseCbIndex` - the new value of the 'Else Cb Index' attribute.
See Also:
  - `Ifte.getElseCbIndex()`

### getThenCb

public CodeBlock getThenCb()
Returns the value of the 'Then Cb' reference.

If the meaning of the 'Then Cb' reference isn't clear, there really should be more of a description here...

Specified by:
  `getThenCb` in interface `Ifte`
Returns:
  the value of the 'Then Cb' reference.
See Also:
  - `Ifte.setThenCb(CodeBlock)`
  - `EmftvmPackage.getIfte_ThenCb()`

### basicGetThenCb

public CodeBlock basicGetThenCb()

See Also:
  - ``

### setThenCb

public void setThenCb(CodeBlock newThenCb)
Sets the value of the '`Then Cb`' reference.

Specified by:
  `setThenCb` in interface `Ifte`
Parameters:
  `newThenCb` - the new value of the 'Then Cb' reference.
See Also:
  - `Ifte.getThenCb()`

### getElseCb

public CodeBlock getElseCb()
Returns the value of the 'Else Cb' reference.

If the meaning of the 'Else Cb' reference isn't clear, there really should be more of a description here...

Specified by:
  `getElseCb` in interface `Ifte`
Returns:
  the value of the 'Else Cb' reference.
See Also:
  - `Ifte.setElseCb(CodeBlock)`
  - `EmftvmPackage.getIfte_ElseCb()`

### basicGetElseCb

public CodeBlock basicGetElseCb()

See Also:
  - ``

### setElseCb

public void setElseCb(CodeBlock newElseCb)
Sets the value of the '`Else Cb`' reference.

Specified by:
  `setElseCb` in interface `Ifte`
Parameters:
  `newElseCb` - the new value of the 'Else Cb' reference.
See Also:
  - `Ifte.getElseCb()`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `InstructionImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `InstructionImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `InstructionImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `InstructionImpl`

### toString

public String toString()

Overrides:
  `toString` in class `InstructionImpl`

### getStackProduction

public int getStackProduction()
Description copied from class: `InstructionImpl`
Returns the value of the 'Stack Production' attribute. The default value is `"0"`.

If the meaning of the 'Stack Production' attribute isn't clear, there really should be more of a description here...

Specified by:
  `getStackProduction` in interface `Instruction`
Overrides:
  `getStackProduction` in class `InstructionImpl`
Returns:
  the value of the 'Stack Production' attribute.
See Also:
  - `EmftvmPackage.getInstruction_StackProduction()`